net.sf.jasperreports.components.iconlabel

## Class IconLabelElementOdsHandler

- java.lang.Object
- - net.sf.jasperreports.components.iconlabel.IconLabelElementOdsHandler

- All Implemented Interfaces:
    GenericElementHandler, GenericElementOdsHandler

      public class IconLabelElementOdsHandler
      extends java.lang.Object
      implements GenericElementOdsHandler

  Version:
    $Id:ChartThemesUtilities.java 2595 2009-02-10 17:56:51Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IconLabelElementOdsHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exportElement(JROdsExporterContext exporterContext, JRGenericPrintElement element, JRExporterGridCell gridCell, int colIndex, int rowIndex, int emptyCols, int yCutsRow, JRGridLayout layout)` Exports a generic element.
    `static IconLabelElementOdsHandler` | `getInstance()`
    `boolean` | `toExport(JRGenericPrintElement element)` Decides whether a generic print element is to be exported.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IconLabelElementOdsHandler

          public IconLabelElementOdsHandler()

  - ### Method Detail

    - #### getInstance

          public static IconLabelElementOdsHandler getInstance()

    - #### exportElement

          public void exportElement(JROdsExporterContext exporterContext,
                           JRGenericPrintElement element,
                           JRExporterGridCell gridCell,
                           int colIndex,
                           int rowIndex,
                           int emptyCols,
                           int yCutsRow,
                           JRGridLayout layout)

      Description copied from interface: `GenericElementOdsHandler`
      Exports a generic element.

      Access to the exporter output and environment is provided via the `JROdsExporterContext` argument.

      Specified by:
        `exportElement` in interface `GenericElementOdsHandler`
      Parameters:
        `exporterContext` - the exporter context
        `element` - the generic element to export

    - #### toExport

          public boolean toExport(JRGenericPrintElement element)

      Description copied from interface: `GenericElementHandler`
      Decides whether a generic print element is to be exported.
      Specified by:
        `toExport` in interface `GenericElementHandler`
      Parameters:
        `element` - the element
      Returns:
        whether the element is to be exported or skipped

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com